Skip to content
Start here

List zone snippet rules

client.snippets.rules.get(RuleGetParams { zone_id } params, RequestOptionsoptions?): SinglePage<RuleGetResponse { id, expression, last_updated, 3 more } >
GET/zones/{zone_id}/snippets/snippet_rules

Fetches all snippet rules belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
params: RuleGetParams { zone_id }
zone_id: string

Use this field to specify the unique ID of the zone.

ReturnsExpand Collapse
RuleGetResponse { id, expression, last_updated, 3 more }

Define a snippet rule.

id: string

Specify the unique ID of the rule.

expression: string

Define the expression that determines which traffic matches the rule.

minLength1
last_updated: string

Specify the timestamp of when the rule was last modified.

formatdate-time
snippet_name: string

Identify the snippet.

description?: string

Provide an informative description of the rule.

enabled?: boolean

Indicate whether to execute the rule.

List zone snippet rules

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const ruleGetResponse of client.snippets.rules.get({
  zone_id: '9f1839b6152d298aca64c4e906b6d074',
})) {
  console.log(ruleGetResponse.id);
}
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "id": "3a03d665bac047339bb530ecb439a90d",
      "expression": "ip.src eq 1.1.1.1",
      "last_updated": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "description": "Execute my_snippet when IP address is 1.1.1.1.",
      "enabled": true
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "id": "3a03d665bac047339bb530ecb439a90d",
      "expression": "ip.src eq 1.1.1.1",
      "last_updated": "2000-01-01T00:00:00Z",
      "snippet_name": "my_snippet",
      "description": "Execute my_snippet when IP address is 1.1.1.1.",
      "enabled": true
    }
  ],
  "success": true
}